(*
* Copyright (C) 2007 Universitaet Koblenz-Landau
* 
* This file is part of E-KRHyper.
* 
* E-KRHyper is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
* 
* E-KRHyper is distributed in the hope that it will be useful, but WITHOUT ANY
* WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
* FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
* details.
* 
* You should have received a copy of the GNU General Public License along with
* E-KRHyper; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA 02111-1307 USA
* 
* Contributor(s): Christoph Wernhard <wernhard@uni-koblenz.de>,
*                 Bjoern Pelzer <bpelzer@uni-koblenz.de>.
*)

(** Parse the given tptp-input. Input is a lex-buffer containing clauses/formulas
   in the tptp-format. Output is a stream of Clausify.fof_formula, corresponding
   to the input. This output will have to be clausified (by Clausify.clausify)
   before it can be used by E-KRHyper.
 *) 

val tptp_parser : Cfg.cfg -> Lexing.lexbuf -> Clausify.fof_formula Stream.t