/*
 Copyright 2006, 2007, 2008 Hao Xu
 ertranne@hotmail.com
 
 This file is part of OSHL-S.

 OSHL-S is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 OSHL-S is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Foobar; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package jfp.dynamic;

public interface Term {
	public static final String REDUCT = "reduct";
	public static final String TYPE = "type";
	public static final String INSTANTIATE = "instantiate";
	public static final String UNIFY = "unify";
	public static final String TYPE_VARIABLES = "type_variables";
	public static final String GENERALIZE = "generalize";
	public static final String EXTRACT_QUANTIFIER = "extract_quantifier";
	public static final String MATCH = "match";
	public static final String INST = "inst";
	public static final String COMPILE = "compile";
	public static final String TRANSFORM = "transform";
	public static final String ENV = "env";
	
	String[] BASIC_VISITORS = {INSTANTIATE,TYPE,REDUCT,COMPILE,TRANSFORM,ENV};
	
	String[] CONSTRUCTED_DATA_VISITORS = {INSTANTIATE,TYPE,REDUCT,MATCH};
	
	String[] TYPE_VISITORS = {UNIFY, GENERALIZE, EXTRACT_QUANTIFIER, TYPE_VARIABLES, INSTANTIATE, INST};

}
