type token =
  | EQUIV
  | IMPLY
  | RIMPLY
  | AND
  | OR
  | NOT
  | TRUE
  | FALSE
  | ALL
  | EX
  | EQUAL
  | OPEN
  | CLOSE
  | STRING of (string)
  | EOF
  | INCLUDE
  | DOT
  | INPUT_CLAUSE
  | INPUT_FORMULA
  | FOF
  | AXIOM
  | HYPOTHESIS
  | CONJECTURE
  | LBRACKET
  | RBRACKET
  | LIDENT of (string)
  | UIDENT of (string)
  | POSITIVE
  | NEGATIVE
  | COMMA
  | EQSYM
  | NEQSYM
  | COLON
  | XOR
  | NOR
  | NAND
  | ANNOT of (string)

val file :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Phrase.tpphrase list
