type token =
  | OPEN
  | CLOSE
  | EOF
  | IDENT of (string)
  | STRING of (string)
  | INT of (int)
  | ALL
  | AND
  | DEF
  | EQUAL
  | EQUIV
  | EX
  | FALSE
  | GOAL
  | HYP
  | IMPLY
  | INDSET
  | INDPROP
  | LAMBDA
  | LET
  | MATCH
  | NOT
  | OR
  | RIMPLY
  | SIG
  | TAU
  | TRUE

val file :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Phrase.phrase list
