/*
 Copyright 2006, 2007, 2008 Hao Xu
 ertranne@hotmail.com
 
 This file is part of OSHL-S.

 OSHL-S is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 OSHL-S is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Foobar; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package logic.concurrent.main.data;

/**
 *
 * @author Ertri
 */
public class ProgramParametersDyn implements ProgramParameters {

    public static String fileName = "";
    public static boolean hasConjecture = false;

    public synchronized static boolean isHasConjecture() {
        return hasConjecture;
    }

    public synchronized static void setHasConjecture(boolean hasConjecture) {
        ProgramParametersDyn.hasConjecture = hasConjecture;
    }

    public synchronized static String getFileName() {
        return fileName;
    }

    public synchronized static void setFileName(String fileName) {
        ProgramParametersDyn.fileName = fileName;
    }
    private static int diff;
    private static boolean initial;
    public static int timeout = TIMEOUT;
    public static boolean typeInference = TYPE_INFERENCE;
    public static boolean equality = false;
    public static boolean falsification = true;
    public static boolean verbose = false;

    public synchronized static boolean isVerbose() {
        return verbose;
    }

    public synchronized static boolean getInitialInterpretation() {
        return initial;
    }

    public synchronized static void setInitialInterpretation(boolean parseBoolean) {
        initial = parseBoolean;
    }

    public synchronized static void setVerbose(boolean verbose) {
        ProgramParametersDyn.verbose = verbose;
    }

    public synchronized static int getDiff() {
        return diff;
    }

    public synchronized static void setDiff(int diff) {
        ProgramParametersDyn.diff = diff;



    }

    public synchronized static boolean isFalsification() {
        return falsification;
    }

    public synchronized static void setFalsification(boolean falsification) {
        ProgramParametersDyn.falsification = falsification;
    }

    public synchronized static boolean isEquality() {
        return equality;
    }

    public synchronized static void setEquality(boolean equality) {
        ProgramParametersDyn.equality = equality;
    }

    public synchronized static int getTIMEOUT() {
        return timeout;
    }

    public synchronized static void setTimeout(int timeout) {
        ProgramParametersDyn.timeout = timeout;
    }

    public synchronized static void setTypeInference(boolean typeInference) {
        ProgramParametersDyn.typeInference = typeInference;
    }

    public synchronized static boolean getTYPE_INFERENCE() {
        return typeInference;
    }
}
