(*
This file is part of the first order theorem prover Darwin
Copyright (C) 2004, 2005, 2006
              The University of Iowa
              Universitaet Koblenz-Landau 

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*)


type literal = Term.literal
type clause = Term.clause
type choice_point = State.choice_point
type raw_context_unifier = Context_unifier.raw_context_unifier
type context_unifier_space = Context_unifier.context_unifier_space
type element = Context.element
type rewriting = Problem_subterms.rewriting
type explanation = State.explanation

type selected = {
  candidate_type: State.literal_type;
  literal: literal;
  clause: clause;
  element: element;
  raw_context_unifier: raw_context_unifier;
  context_unifier_space: context_unifier_space;
  rewriting: rewriting;
  explanation: explanation;
}
