type token =
  | LOWER_WORD of (string)
  | UPPER_WORD of (string)
  | SINGLE_QUOTED of (string)
  | VARIABLE of (string)
  | FLOAT of (string)
  | INTEGER of (string)
  | OR
  | LEFT_PARENTHESIS
  | RIGHT_PARENTHESIS
  | LEFT_BRACE
  | RIGHT_BRACE
  | LEFT_BRACKET
  | RIGHT_BRACKET
  | IMPLICATION
  | CLAUSE_END
  | NEGATION
  | SEMICOLON
  | COMMA
  | EQUALITY
  | EOI
  | META
  | FINDALL
  | NOT_SUBSUMED
  | ARITHMETIC of (string)
  | IS of (string)
  | MULT of (string)
  | PLUS of (string)
  | MINUS of (string)
  | DIV of (string)

val tme_input :
  (Lexing.lexbuf  -> token) -> Lexing.lexbuf -> Clausify.proto_term
