(*
* Copyright (C) 2007 Universitaet Koblenz-Landau
* 
* This file is part of E-KRHyper.
* 
* E-KRHyper is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
* 
* E-KRHyper is distributed in the hope that it will be useful, but WITHOUT ANY
* WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
* FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
* details.
* 
* You should have received a copy of the GNU General Public License along with
* E-KRHyper; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA 02111-1307 USA
* 
* Contributor(s): Christoph Wernhard <wernhard@uni-koblenz.de>,
*                 Bjoern Pelzer <bpelzer@uni-koblenz.de>.
*)

(** Parse the given tme-input. Input is a lex-buffer containing clauses
   in the tme-format. Output is a stream of Clausify.proto_term, corresponding
   to the input. This output will have to be turned into Term.terms (by Clausify.get_term)
   before it can be used by E-KRHyper.
 *) 

val next_proto_term : Lexing.lexbuf -> Clausify.proto_term
 
val tme_parser : Lexing.lexbuf -> Clausify.proto_term Stream.t