module Output where

import System

---------------------------------------------------------------------------
-- outputs

putInfo :: String -> IO ()
putInfo s = putStrLn s

putOfficial :: String -> IO ()
putOfficial s = putStrLn ("+++ " ++ s)

putWarning :: String -> IO ()
putWarning s = putStrLn ("*** " ++ s)

putFailure :: String -> IO a
putFailure s = do putWarning s; exitWith (ExitFailure 1)

putHeader :: String -> IO ()
putHeader s = putStrLn ("=== " ++ s)

putSubHeader :: String -> IO ()
putSubHeader s = putStrLn ("--- " ++ s)

---------------------------------------------------------------------------
-- the end.
