/*
 Copyright 2006, 2007, 2008 Hao Xu
 ertranne@hotmail.com
 
 This file is part of OSHL-S.

 OSHL-S is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 OSHL-S is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Foobar; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package logic.data;

import java.util.Arrays;
import logic.syntax.TermParser;

/**
 *
 * @author Ertri
 */
public class KeyLiteral extends Literal {

    public KeyLiteral(int[] key) {
        super(key[key.length - 1] == ID_POS, null, null);
        this.key = key;
    }
    
//    public Literal negate() {
//        int[] nkey = Arrays.copyOf(key, key.length);
//        nkey[nkey.length - 1] = (key[key.length-1]!=Literal.ID_POS) ? Literal.ID_POS : Literal.ID_NEG;
//        return new KeyLiteral(nkey);
//    }

    @Override
    public String toString() {
        String str = this.key[this.key.length - 1] == ID_NEG ? "~" : "";
        for (int i = 0; i < this.key.length - 1; i++) {
            str += TermParser.sTable[this.key[i]] + " ";
        }
        return str;
    }
}
