/**
 * @file VampireMode.hpp
 * Defines several functions used in the Vampire Mode
 *
 * @since 03/03/2004 Manchester
 */

#ifndef __VampireMode__
#define __VampireMode__

#include "Run.hpp"

namespace Shell {

/**
 * Implements the vampire mode.
 * @since 11/09/2004 made inherit from Run.
 */
class VampireMode 
  : public Run
{
public:
  VampireMode(Options& options,const VarList& answerVars);
  void run();
  void reportAllocationFailure();
};

}

#endif
