/*
 Copyright 2006, 2007, 2008 Hao Xu
 ertranne@hotmail.com
 
 This file is part of OSHL-S.

 OSHL-S is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 OSHL-S is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Foobar; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package jfp.dynamic;


public abstract class AbstractAST implements Term {

    private Object object;
    public Object type;
    public String name;

    public Object getType() {
        return type;
    }

    public void setType(Object type) {
        this.type = type;
    }
    
    public void setObject(Object f) {
        this.object = f;
    }
    /**
     * returns the value used in a binding environment
     * @return
     */
    public Object getObject() {
        return this.object;
    }

    /**
     * returns the name used in a binding environment, used by definitional constructs
     * @return
     */
    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public abstract ExtensibleAST[] getChildNode();
}
